# Uses of Class
javax.swing.plaf.MenuBarUI

Packages that use MenuBarUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of MenuBarUI in javax.swing

Methods in javax.swing that return MenuBarUI
Modifier and Type
Method
Description
`MenuBarUI`
JMenuBar.`getUI()`
Returns the menubar's current UI.
Methods in javax.swing with parameters of type MenuBarUI
Modifier and Type
Method
Description
`void`
JMenuBar.`setUI(MenuBarUI ui)`
Sets the L&F object that renders this component.

## Uses of MenuBarUI in javax.swing.plaf.basic

Subclasses of MenuBarUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicMenuBarUI`
A default L&F implementation of MenuBarUI.

## Uses of MenuBarUI in javax.swing.plaf.metal

Subclasses of MenuBarUI in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalMenuBarUI`
Metal implementation of `MenuBarUI`.

## Uses of MenuBarUI in javax.swing.plaf.multi

Subclasses of MenuBarUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiMenuBarUI`
A multiplexing UI used to combine `MenuBarUI`s.

## Uses of MenuBarUI in javax.swing.plaf.synth

Subclasses of MenuBarUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthMenuBarUI`
Provides the Synth L&F UI delegate for `JMenuBar`.